# -*- coding: UTF-8 -*-
# !/usr/bin/env python

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function

import numpy as np
import redis
# from libs.cache import redis_client
import logging
import traceback
import json
import pickle
import pymysql
import random
import time
import pymysql
from sklearn.preprocessing import LabelEncoder



class Generate_Feature_Info(object):

    host = "172.16.30.141"
    user = "work"
    password = "BJQaT9VzDcuPBqkd"
    database = "zhengxing"

    # 新项目标签encode对象
    tagv3_label_encoder = None

    @classmethod
    def get_tagv3_word_list(cls):
        try:
            tagv3_name_set = set()
            zhengxing_conn = pymysql.connect(
                host=cls.host,
                user=cls.user,
                password=cls.password,
                database=cls.database,
                charset="utf8")

            zhengxing_cursor = zhengxing_conn.cursor()

            tag_v3_project_sql = """
                    select name from api_tag_3_0 where is_online=1 and tag_type=1;
            """

            zhengxing_cursor.execute(tag_v3_project_sql)
            sql_tag_results = zhengxing_cursor.fetchall()
            for item in sql_tag_results:
                encode_item = item[0].encode("utf-8")
                tagv3_name_set.add(encode_item)

            return tagv3_name_set
        except:
            logging.error("catch exception,err_msg:%s" % traceback.format_exc())
            return set()

    @classmethod
    def get_tagv3_label_encode(cls,tagv3_name_list):
        try:
            label_encoder = LabelEncoder().fit(tagv3_name_list)
            return label_encoder
        except:
            logging.error("catch exception,err_msg:%s" % traceback.format_exc())
            return None







if __name__ == "__main__":

    tagv3_name_set = Generate_Feature_Info.get_tagv3_word_list()

    label_encoder = Generate_Feature_Info.get_tagv3_label_encode(tagv3_name_list=list(tagv3_name_set))

    test_val = "切开双眼皮"

    label_encoder.transform(test_val)
